petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDSUpdateBoundary

Change a boundary condition for the model

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSUpdateBoundary(PetscDS ds, PetscInt bd, DMBoundaryConditionType type, const char name[], const char labelname[], PetscInt field, PetscInt numcomps, const PetscInt *comps, void (*bcFunc)(void), PetscInt numids, const PetscInt *ids, void *ctx)

### Input Parameters

| ds | - The PetscDS object
| bd | - The boundary condition number
| type | - The type of condition, e.g. DM_BC_ESSENTIAL/DM_BC_ESSENTIAL_FIELD (Dirichlet), or DM_BC_NATURAL (Neumann)
| name | - The BC name
| labelname | - The label defining constrained points
| field | - The field to constrain
| numcomps | - The number of constrained field components
| comps | - An array of constrained component numbers
| bcFunc | - A pointwise function giving boundary values
| numids | - The number of DMLabel ids for constrained points
| ids | - An array of ids for constrained points
| ctx | - An optional user context for bcFunc

Note: The boundary condition number is the order in which it was registered. The user can get the number of boundary conditions from PetscDSGetNumBoundary().

### See Also

PetscDSAddBoundary(), PetscDSGetBoundary(), PetscDSGetNumBoundary()

### Level

developer

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages